body {
	padding: 0;
	margin: 0;
	font-size: 12px;
	font-family: Arial, sans-serif;
	background: #ee2d24;
	color: #333;
}

* {
	box-sizing: border-box;
}

@-webkit-keyframes drawIn {
	100% {
		stroke-dashoffset: 0;
	}
}

@keyframes drawIn {
	100% {
		stroke-dashoffset: 0;
	}
}

@-webkit-keyframes showIn {
	100% {
		opacity: 1;
	}
}

@keyframes showIn {
	100% {
		opacity: 1;
	}
}

@-webkit-keyframes rotateIn {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	100% {
		-webkit-transform: rotate(-360deg);
		transform: rotate(-360deg);
	}
}

@keyframes rotateIn {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	100% {
		-webkit-transform: rotate(-360deg);
		transform: rotate(-360deg);
	}
}

@-webkit-keyframes rotateSnake {
	0% {
		-webkit-transform: rotate(-1deg);
		transform: rotate(-1deg);
	}
	100% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}
}

@keyframes rotateSnake {
	0% {
		-webkit-transform: rotate(-1deg);
		transform: rotate(-1deg);
	}
	100% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}
}

@-webkit-keyframes slideIn {
	0% {
		left: 20%;
	}
	100% {
		left: 0;
	}
}

@keyframes slideIn {
	0% {
		left: 20%;
	}
	100% {
		left: 0;
	}
}

.container {
	background: #ee2d24;
	margin: 0 auto;
	position: relative;
	width: 100vmin;
	height: 100vmin;
}
.container .text {
	width: 50.3%;
	height: 70.3%;
	position: absolute;
	left: 26.3%;
	top: 18.5%;
}
.container .mask-path {
	stroke: #fff;
	stroke-dashoffset: 7361;
	stroke-dasharray: 7361;
	-webkit-animation: drawIn 3s ease-in forwards;
	animation: drawIn 3s ease-in forwards;
	stroke-width: 36;
}
.container .mask-path2 {
	stroke: #fff;
	stroke-dashoffset: 7873;
	stroke-dasharray: 7873;
	-webkit-animation: drawIn 3s ease-in forwards;
	animation: drawIn 3s ease-in forwards;
	stroke-width: 16;
}
.container .object {
	opacity: 0;
	position: absolute;
	background-size: cover;
	z-index: 1;
	-webkit-animation: showIn 0.2s ease-in forwards;
	animation: showIn 0.2s ease-in forwards;
}
.container .snake {
	width: 76.5%;
	height: 95.5%;
	position: absolute;
	left: 50%;
	top: 0;
	-webkit-transform: translateX(-50%);
	transform: translateX(-50%);
	-webkit-animation-delay: 2s;
	animation-delay: 2s;
}
.container .snake:after {
	width: 100%;
	height: 100%;
	content: '';
	position: absolute;
	left: 0;
	top: 0;
	-webkit-animation: rotateSnake 0.6s linear alternate infinite;
	animation: rotateSnake 0.6s linear alternate infinite;
	background-image: url('../images/snake/snake.png');
	background-size: cover;
}
.container .plant01 {
	width: 17.7%;
	height: 38.8%;
	right: 6.5%;
	top: 11%;
	background-image: url('../images/snake/plant01.png');
	-webkit-animation-delay: 3s;
	animation-delay: 3s;
}
.container .plant02 {
	width: 16.8%;
	height: 26.7%;
	left: 6.5%;
	top: 43%;
	background-image: url('../images/snake/plant02.png');
	-webkit-animation-delay: 4s;
	animation-delay: 4s;
}
.container .clouds01 {
	width: 41.5%;
	height: 11.6%;
	left: 4.5%;
	top: 7%;
	-webkit-animation-delay: 5s;
	animation-delay: 5s;
}
.container .clouds01:after {
	width: 100%;
	height: 100%;
	content: '';
	position: absolute;
	left: 0;
	top: 0;
	-webkit-animation: slideIn 10s linear alternate infinite;
	animation: slideIn 10s linear alternate infinite;
	background-image: url('../images/snake/clouds01.png');
	background-size: cover;
}
.container .skull {
	width: 35.6%;
	height: 19.5%;
	right: 6.5%;
	bottom: 2%;
	background-image: url('../images/snake/skull.png');
	-webkit-animation-delay: 6s;
	animation-delay: 6s;
}
.container .sun {
	width: 35%;
	height: 38%;
	left: 10%;
	top: -14%;
	background-image: url('../images/snake/sun.png');
	-webkit-animation-delay: 4.5s;
	animation-delay: 4.5s;
}
.container .birds {
	z-index: 1;
	width: 8.2%;
	height: 8.9%;
	right: 19%;
	top: 10%;
	-webkit-animation-delay: 7s;
	animation-delay: 7s;
}
.container .birds:after {
	width: 100%;
	height: 100%;
	content: '';
	position: absolute;
	left: 0;
	top: 0;
	-webkit-animation: rotateIn 7s linear infinite;
	animation: rotateIn 7s linear infinite;
	background-image: url('../images/snake/birds.png');
	background-size: cover;
}

.dribble {
	width: 120px;
	height: 30px;
	position: fixed;
	left: 10px;
	top: 10px;
	background: url('../images/snake/dribbble.svg');
	background-size: cover;
	font-size: 0;
	z-index: 100;
}
